Bug 738307 - Review Request: maven-archetype - Maven project templating toolkit
Summary: Review Request: maven-archetype - Maven project templating toolkit
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 736161
TreeView+ depends on / blocked
 
Reported: 2011-09-14 14:00 UTC by Stanislav Ochotnicky
Modified: 2011-09-26 09:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 09:35:20 UTC
akurtako: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2011-09-14 14:00:56 UTC
Spec URL: http://sochotni.fedorapeople.org/packages/maven-archetype.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/maven-archetype-2.1-1.fc15.src.rpm

Description: 
Archetype is a Maven project templating toolkit. An archetype is
defined as an original pattern or model from which all other things of
the same kind are made. The names fits as we are trying to provide a
system that provides a consistent means of generating Maven
projects. Archetype will help authors create Maven project templates
for users, and provides users with the means to generate parameterized
versions of those project templates.

Comment 1 Alexander Kurtakov 2011-09-20 14:02:17 UTC
I'll do this one.

Comment 2 Alexander Kurtakov 2011-09-20 14:11:57 UTC
FTBFS for me

[DEBUG] =======================================================================
[WARNING] The POM for org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6 is missing, no dependency information available
[WARNING] The POM for org.codehaus.cargo:cargo-core-api-generic:jar:1.0-alpha-6 is missing, no dependency information available
[WARNING] The POM for org.codehaus.cargo:cargo-core-container-jetty:jar:1.0-alpha-6 is missing, no dependency information available
[WARNING] The POM for org.mortbay.jetty:servlet-api:jar:2.5-20081211 is missing, no dependency information available
[DEBUG] org.apache.maven.archetype:archetype-common:jar:2.1
[DEBUG]    org.apache.maven.archetype:archetype-catalog:jar:2.1:compile
[DEBUG]    org.apache.maven.archetype:archetype-descriptor:jar:2.1:compile
[DEBUG]    org.apache.maven.archetype:archetype-registry:jar:2.1:compile
[DEBUG]    net.sourceforge.jchardet:jchardet:jar:1.0:compile
[DEBUG]    dom4j:dom4j:jar:1.6.1:compile
[DEBUG]       xml-apis:xml-apis:jar:1.0.b2:compile
[DEBUG]       jaxen:jaxen:jar:1.0-FCS:compile
[DEBUG]          xerces:xercesImpl:jar:2.6.2:compile
[DEBUG]          xom:xom:jar:1.0:compile
[DEBUG]             xerces:xmlParserAPIs:jar:2.6.2:compile
[DEBUG]             xalan:xalan:jar:2.7.0:compile
[DEBUG]       saxpath:saxpath:jar:1.0-FCS:compile
[DEBUG]       msv:msv:jar:20020414:compile
[DEBUG]          com.sun.msv.datatype.xsd:xsdlib:jar:2009.1:compile
[DEBUG]          net.java.dev.msv:msv-testharness:jar:2009.1:compile
[DEBUG]             org.apache.ant:ant:jar:1.7.1:compile
[DEBUG]                org.apache.ant:ant-launcher:jar:1.8.2:compile
[DEBUG]          xml-resolver:xml-resolver:jar:1.2:compile
[DEBUG]       relaxngDatatype:relaxngDatatype:jar:20020414:compile
[DEBUG]       isorelax:isorelax:jar:20020414:compile
[DEBUG]    jdom:jdom:jar:1.0:compile
[DEBUG]    org.apache.maven:maven-compat:jar:latest:compile
[DEBUG]       org.apache.maven:maven-model-builder:jar:3.0.3:compile
[DEBUG]       org.apache.maven:maven-settings:jar:3.0.3:compile
[DEBUG]       org.apache.maven:maven-artifact:jar:3.0.3:compile
[DEBUG]       org.codehaus.plexus:plexus-interpolation:jar:1.14:compile
[DEBUG]       org.sonatype.sisu:sisu-inject-plexus:jar:2.1.1:compile
[DEBUG]          org.sonatype.sisu:sisu-inject-bean:jar:2.2.3:compile
[DEBUG]             org.sonatype.sisu:sisu-guice:jar:no_aop:3.0.3:compile
[DEBUG]                net.sf.cglib:cglib:jar:2.2.1-v20090111:compile
[DEBUG]                   asm:asm:jar:3.1:compile
[DEBUG]          javax.inject:javax.inject:jar:latest:compile
[DEBUG]       org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile
[DEBUG]       org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-7:compile
[DEBUG]    org.apache.maven:maven-core:jar:2.0.8:compile
[DEBUG]       org.apache.maven:maven-settings-builder:jar:3.0.3:compile
[DEBUG]       org.apache.maven:maven-repository-metadata:jar:3.0.3:compile
[DEBUG]       org.apache.maven:maven-plugin-api:jar:2.0.8:compile (version managed from 3.0.3 by org.apache.maven.archetype:maven-archetype:2.1)
[DEBUG]       org.apache.maven:maven-aether-provider:jar:3.0.3:compile
[DEBUG]          org.sonatype.aether:aether-spi:jar:1.11:compile
[DEBUG]       org.sonatype.aether:aether-impl:jar:1.11:compile
[DEBUG]       org.sonatype.aether:aether-api:jar:1.11:compile
[DEBUG]       org.sonatype.aether:aether-util:jar:1.11:compile
[DEBUG]       org.codehaus.plexus:plexus-classworlds:jar:2.4:compile
[DEBUG]       org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:compile
[DEBUG]          org.sonatype.plexus:plexus-cipher:jar:1.4:compile
[DEBUG]    org.apache.maven:maven-model:jar:2.0.8:compile
[DEBUG]    org.apache.maven:maven-project:jar:2.0.8:compile
[DEBUG]       org.apache.maven:maven-profile:jar::compile
[DEBUG]       org.apache.maven:maven-artifact-manager:jar::compile
[DEBUG]          backport-util-concurrent:backport-util-concurrent:jar::compile
[DEBUG]       org.apache.maven:maven-plugin-registry:jar::compile
[DEBUG]    org.apache.maven.shared:maven-invoker:jar:2.0.10:compile
[DEBUG]    org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
[DEBUG]       classworlds:classworlds:jar:1.1-alpha-2:compile
[DEBUG]    org.codehaus.plexus:plexus-utils:jar:1.5.8:compile
[DEBUG]    org.apache.maven.shared:maven-plugin-testing-harness:jar:1.1:test
[DEBUG]       org.codehaus.plexus:plexus-archiver:jar:1.0-alpha-7:test
[DEBUG]          org.codehaus.plexus:plexus-io:jar:2.0.1:test
[DEBUG]    commons-io:commons-io:jar:1.4:compile
[DEBUG]    org.codehaus.plexus:plexus-velocity:jar:1.1.8:compile
[DEBUG]       commons-collections:commons-collections:jar:3.2.1:compile (version managed from 3.1 by org.apache.maven.archetype:maven-archetype:2.1)
[DEBUG]    org.apache.velocity:velocity:jar:1.5:compile
[DEBUG]       commons-lang:commons-lang:jar:2.4:compile
[DEBUG]    junit:junit:jar:4.8.2:test
[DEBUG]       org.hamcrest:hamcrest-core:jar:1.1:test
[DEBUG]    org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6:test
[DEBUG]    org.codehaus.cargo:cargo-core-api-generic:jar:1.0-alpha-6:test
[DEBUG]    org.codehaus.cargo:cargo-core-container-jetty:jar:1.0-alpha-6:test
[DEBUG]    org.mortbay.jetty:jetty:jar:6.1.11:test
[DEBUG]       org.mortbay.jetty:jetty-util:jar:6.1.26:test
[DEBUG]       org.mortbay.jetty:servlet-api:jar:2.5-20081211:test
[DEBUG]    org.apache.maven.wagon:wagon-file:jar:1.0:test
[DEBUG]    org.apache.maven.wagon:wagon-http:jar:1.0:test
[DEBUG]       org.apache.maven.wagon:wagon-http-shared:jar:1.0:test
[DEBUG]          commons-httpclient:commons-httpclient:jar:3.1:test
[DEBUG]          commons-logging:commons-logging:jar:1.1.1:test
[DEBUG]          org.jsoup:jsoup:jar:1.6.1:test
[DEBUG]    org.apache.maven.archetype:archetype-repository:war:2.1:test
[DEBUG]    org.apache.maven.archetype:archetype-proxy:war:2.1:test
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Skipping Maven Archetype
[INFO] This project has been banned from the build due to previous failures.
[INFO] ------------------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] Maven Archetype ................................... SUCCESS [2.745s]
[INFO] Maven Archetype Testing ........................... SUCCESS [0.017s]
[INFO] Maven Archetype Webapp Proxy ...................... SUCCESS [6.502s]
[INFO] Maven Archetype Webapp Repository ................. SUCCESS [1.686s]
[INFO] Maven Archetype Models ............................ SUCCESS [0.046s]
[INFO] Maven Archetype Catalog Model ..................... SUCCESS [3.987s]
[INFO] Maven Archetype Descriptor Model .................. SUCCESS [3.504s]
[INFO] Maven Archetype Registry Model .................... SUCCESS [2.060s]
[INFO] Maven Archetype Common ............................ FAILURE [0.799s]
[INFO] Maven Archetype Packaging ......................... SKIPPED
[INFO] Maven Archetype Plugin ............................ SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 28.008s
[INFO] Finished at: Tue Sep 20 17:10:29 EEST 2011
[INFO] Final Memory: 32M/195M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project archetype-common: Could not resolve dependencies for project org.apache.maven.archetype:archetype-common:jar:2.1: The following artifacts could not be resolved: org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6, org.codehaus.cargo:cargo-core-api-generic:jar:1.0-alpha-6, org.codehaus.cargo:cargo-core-container-jetty:jar:1.0-alpha-6: The repository system is offline but the artifact org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6 is not available in the local repository. -> [Help 1]
org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal on project archetype-common: Could not resolve dependencies for project org.apache.maven.archetype:archetype-common:jar:2.1: The following artifacts could not be resolved: org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6, org.codehaus.cargo:cargo-core-api-generic:jar:1.0-alpha-6, org.codehaus.cargo:cargo-core-container-jetty:jar:1.0-alpha-6: The repository system is offline but the artifact org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6 is not available in the local repository.
	at org.apache.maven.lifecycle.internal.LifecycleDependencyResolver.getDependencies(LifecycleDependencyResolver.java:196)
	at org.apache.maven.lifecycle.internal.LifecycleDependencyResolver.resolveProjectDependencies(LifecycleDependencyResolver.java:108)
	at org.apache.maven.lifecycle.internal.MojoExecutor.ensureDependenciesAreResolved(MojoExecutor.java:258)
	at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:201)
	at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)
	at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)
	at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:84)
	at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:59)
	at org.apache.maven.lifecycle.internal.LifecycleStarter.singleThreadedBuild(LifecycleStarter.java:183)
	at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:161)
	at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:320)
	at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:157)
	at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
	at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
	at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
	at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
	at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
	at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
Caused by: org.apache.maven.project.DependencyResolutionException: Could not resolve dependencies for project org.apache.maven.archetype:archetype-common:jar:2.1: The following artifacts could not be resolved: org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6, org.codehaus.cargo:cargo-core-api-generic:jar:1.0-alpha-6, org.codehaus.cargo:cargo-core-container-jetty:jar:1.0-alpha-6: The repository system is offline but the artifact org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6 is not available in the local repository.
	at org.apache.maven.project.DefaultProjectDependenciesResolver.resolve(DefaultProjectDependenciesResolver.java:170)
	at org.apache.maven.lifecycle.internal.LifecycleDependencyResolver.getDependencies(LifecycleDependencyResolver.java:171)
	... 22 more
Caused by: org.sonatype.aether.resolution.DependencyResolutionException: The following artifacts could not be resolved: org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6, org.codehaus.cargo:cargo-core-api-generic:jar:1.0-alpha-6, org.codehaus.cargo:cargo-core-container-jetty:jar:1.0-alpha-6: The repository system is offline but the artifact org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6 is not available in the local repository.
	at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:412)
	at org.apache.maven.project.DefaultProjectDependenciesResolver.resolve(DefaultProjectDependenciesResolver.java:164)
	... 23 more
Caused by: org.sonatype.aether.resolution.ArtifactResolutionException: The following artifacts could not be resolved: org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6, org.codehaus.cargo:cargo-core-api-generic:jar:1.0-alpha-6, org.codehaus.cargo:cargo-core-container-jetty:jar:1.0-alpha-6: The repository system is offline but the artifact org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6 is not available in the local repository.
	at org.sonatype.aether.impl.internal.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:541)
	at org.sonatype.aether.impl.internal.DefaultArtifactResolver.resolveArtifacts(DefaultArtifactResolver.java:220)
	at org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:395)
	... 24 more
Caused by: org.sonatype.aether.transfer.ArtifactNotFoundException: The repository system is offline but the artifact org.codehaus.cargo:cargo-core-api-container:jar:1.0-alpha-6 is not available in the local repository.
	at org.sonatype.aether.impl.internal.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:352)
	... 26 more
[ERROR] 
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException
[ERROR] 
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR]   mvn <goals> -rf :archetype-common
error: Bad exit status from /var/tmp/rpm-tmp.s4MBiP (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.s4MBiP (%build)

Comment 3 Alexander Kurtakov 2011-09-20 14:45:19 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
maven-archetype-registry.noarch: W: no-documentation
maven-archetype-packaging.noarch: W: no-documentation
maven-archetype-descriptor.noarch: W: no-documentation
maven-archetype-catalog.noarch: W: no-documentation
maven-archetype-common.noarch: W: no-documentation
maven-archetype.noarch: W: spelling-error Summary(en_US) templating -> contemplating, tempting, template
maven-archetype.noarch: W: spelling-error %description -l en_US templating -> contemplating, tempting, template
maven-archetype.noarch: W: spelling-error %description -l en_US parameterized -> parameter
maven-archetype-plugin.noarch: W: no-documentation
maven-archetype-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/maven-archetype/javadoc.sh
Please comment on this one.
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :ce68217be882bdb491b9c9a2b36e0a80
MD5SUM upstream package:ce68217be882bdb491b9c9a2b36e0a80
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[!]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.



=== Issues ===
1. What is this suspicious javadoc.sh all about?
2. Please comment why we need the depmap
3. Please set version to the maven BR so an issue like my first comment don't occur anymore

Comment 4 Stanislav Ochotnicky 2011-09-20 15:36:49 UTC
Re issues:
1. javadoc.sh is not produced in all cases. In mine mock there was this text:
"/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.0.x86_64/jre/../bin/javadoc @options @packages"

Which is harmless I guess, but I removed it nevertheless.

2. done
3. done


New packages:
Spec URL: http://sochotni.fedorapeople.org/packages/maven-archetype.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/maven-archetype-2.1-2.fc15.src.rpm

Comment 5 Alexander Kurtakov 2011-09-20 18:50:26 UTC
Thanks,
APPROVED

Comment 6 Stanislav Ochotnicky 2011-09-21 08:42:32 UTC
Thanks for the review

New Package SCM Request
=======================
Package Name: maven-archetype
Short Description: Maven project templating toolkit
Owners: sochotni
Branches: f16
InitialCC: java-sig

Comment 7 Gwyn Ciesla 2011-09-24 15:52:58 UTC
Git done (by process-git-requests).

Comment 8 Stanislav Ochotnicky 2011-09-26 09:35:20 UTC
Package built, thanks.

https://koji.fedoraproject.org/koji/buildinfo?buildID=265306


Note You need to log in before you can comment on or make changes to this bug.